curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "micro_deposits"
}'
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.verificationSessions
.create({
type: 'micro_deposits'
});
response = method.accounts('acc_yVf3mkzbhz9tj')
.verification_sessions
.create({
'type': 'micro_deposits'
})
{
"id": "avf_bxDxWqdnRcrer",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "micro_deposits",
"micro_deposits": {
"amounts": []
},
"created_at": "2024-03-29T21:32:54.452Z",
"updated_at": "2024-03-29T21:32:54.452Z"
}
{
"id": "avf_wYjzrmP6QBzRd",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "plaid",
"plaid": {
"transactions": [],
"balances": {}
},
"created_at": "2024-04-01T18:23:31.744Z",
"updated_at": "2024-04-01T18:23:31.744Z"
}
{
"id": "avf_eQCXK6b7L7c3W",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "mx",
"mx": {
"transactions": [],
"account": {}
},
"created_at": "2024-04-01T18:24:27.003Z",
"updated_at": "2024-04-01T18:24:27.003Z"
}
{
"id": "avf_tmhN3L67Qt9N6",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "teller",
"teller": {
"transactions": [],
"balances": {}
},
"created_at": "2024-04-01T18:25:02.770Z",
"updated_at": "2024-04-01T18:25:02.770Z"
}
{
"id": "avf_hCUj4GhnTcekJ",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "standard",
"standard": {
"number": null,
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
{
"id": "avf_P3abzebLBXLja",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "instant",
"instant": {
"exp_year": null,
"exp_month": null,
"exp_check": null,
"number": "xxxxxxxxxxxxxxxx",
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
{
"id": "avf_DjkdemgTQfqRD",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "pre_auth",
"pre_auth": {
"exp_year": "xxxx",
"exp_month": "xx",
"exp_check": null,
"cvv": null,
"cvv_check": null,
"billing_zip_code": "xxxxx",
"billing_zip_code_check": null,
"number": "xxxxxxxxxxxxxxxx",
"pre_auth_check": null
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
Verification Sessions
Create a Verification
POST
/
accounts
/
{acc_id}
/
verification_sessions
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "micro_deposits"
}'
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.verificationSessions
.create({
type: 'micro_deposits'
});
response = method.accounts('acc_yVf3mkzbhz9tj')
.verification_sessions
.create({
'type': 'micro_deposits'
})
{
"id": "avf_bxDxWqdnRcrer",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "micro_deposits",
"micro_deposits": {
"amounts": []
},
"created_at": "2024-03-29T21:32:54.452Z",
"updated_at": "2024-03-29T21:32:54.452Z"
}
{
"id": "avf_wYjzrmP6QBzRd",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "plaid",
"plaid": {
"transactions": [],
"balances": {}
},
"created_at": "2024-04-01T18:23:31.744Z",
"updated_at": "2024-04-01T18:23:31.744Z"
}
{
"id": "avf_eQCXK6b7L7c3W",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "mx",
"mx": {
"transactions": [],
"account": {}
},
"created_at": "2024-04-01T18:24:27.003Z",
"updated_at": "2024-04-01T18:24:27.003Z"
}
{
"id": "avf_tmhN3L67Qt9N6",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "teller",
"teller": {
"transactions": [],
"balances": {}
},
"created_at": "2024-04-01T18:25:02.770Z",
"updated_at": "2024-04-01T18:25:02.770Z"
}
{
"id": "avf_hCUj4GhnTcekJ",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "standard",
"standard": {
"number": null,
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
{
"id": "avf_P3abzebLBXLja",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "instant",
"instant": {
"exp_year": null,
"exp_month": null,
"exp_check": null,
"number": "xxxxxxxxxxxxxxxx",
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
{
"id": "avf_DjkdemgTQfqRD",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "pre_auth",
"pre_auth": {
"exp_year": "xxxx",
"exp_month": "xx",
"exp_check": null,
"cvv": null,
"cvv_check": null,
"billing_zip_code": "xxxxx",
"billing_zip_code_check": null,
"number": "xxxxxxxxxxxxxxxx",
"pre_auth_check": null
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
Creates an AccountVerificationSession of the provided type.
Path Parameters
Body
Returns
Returns an AccountVerificationSession object.curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "micro_deposits"
}'
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.verificationSessions
.create({
type: 'micro_deposits'
});
response = method.accounts('acc_yVf3mkzbhz9tj')
.verification_sessions
.create({
'type': 'micro_deposits'
})
{
"id": "avf_bxDxWqdnRcrer",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "micro_deposits",
"micro_deposits": {
"amounts": []
},
"created_at": "2024-03-29T21:32:54.452Z",
"updated_at": "2024-03-29T21:32:54.452Z"
}
{
"id": "avf_wYjzrmP6QBzRd",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "plaid",
"plaid": {
"transactions": [],
"balances": {}
},
"created_at": "2024-04-01T18:23:31.744Z",
"updated_at": "2024-04-01T18:23:31.744Z"
}
{
"id": "avf_eQCXK6b7L7c3W",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "mx",
"mx": {
"transactions": [],
"account": {}
},
"created_at": "2024-04-01T18:24:27.003Z",
"updated_at": "2024-04-01T18:24:27.003Z"
}
{
"id": "avf_tmhN3L67Qt9N6",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "teller",
"teller": {
"transactions": [],
"balances": {}
},
"created_at": "2024-04-01T18:25:02.770Z",
"updated_at": "2024-04-01T18:25:02.770Z"
}
{
"id": "avf_hCUj4GhnTcekJ",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "standard",
"standard": {
"number": null,
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
{
"id": "avf_P3abzebLBXLja",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "instant",
"instant": {
"exp_year": null,
"exp_month": null,
"exp_check": null,
"number": "xxxxxxxxxxxxxxxx",
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
{
"id": "avf_DjkdemgTQfqRD",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "pending",
"error": null,
"type": "pre_auth",
"pre_auth": {
"exp_year": "xxxx",
"exp_month": "xx",
"exp_check": null,
"cvv": null,
"cvv_check": null,
"billing_zip_code": "xxxxx",
"billing_zip_code_check": null,
"number": "xxxxxxxxxxxxxxxx",
"pre_auth_check": null
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
⌘I